package com.persagy.adm.diagram.core;

import com.persagy.adm.diagram.core.util.GsonUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * json对象解析工具
 * @author zhaoyk
 */
@Service
public class ContentParser {

	/**
	 * 暂时使用gson做模型的存储和解析
	 */
	@Autowired
	private GsonUtil gsonUtil;

	/**
	 * 解析实体的content字段，创建模型对象
	 */
	public <T> T parseContent(String jsonContent, Class<T> targetType) {
		return gsonUtil.gson().fromJson(jsonContent, targetType);
	}

	/**
	 * 把模型对象序列化为json
	 */
	public String toJson(Object model) {
		return gsonUtil.gson().toJson(model);
	}

}
